Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08246 Gameplay Minor Always Mar 7, 2022, 22:33 12 days ago
Tester chaneman View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows 10/11 (64-bit)
Status [?] Confirmed Driver scobra.cpp
Version 0.241 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 08246: rescue, rescueb, aponow: Attract Mode is broken. Stuck in continuous game play demo.
Description Attract mode is broken. Stuck in continous game play demo.
After the initial showing of the title screen it is never seen again.
Instead it runs forever in game play demo with the players helicopter never getting killed.
Players helicopter will not hover over water and lower the ladder but instead will eventually
go through the water and move through the bottom of the screen, reappearing at the top.

Also games lockup after hitting reset "F3" at the title screen showing "RAM 1GHJK"
Resetting during the game play demo fills the screen with zeroes and continues to play.
Steps To Reproduce Load and run game.
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems rescue, rescueb, aponow
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.19879
Haze
Senior Tester
Mar 9, 2022, 12:11
is it a regression?
User avatar
No.19890
Tafoid
Administrator
Mar 12, 2022, 03:21
edited on: Mar 12, 2022, 03:40
I've looked at the first release (mame 0.25) through DOSBOX and it reacts the same way, the helicopter heads down to scrolls to the top of the screen at the beginning of the demonstration. I also viewed an actual cabinet where the demonstration is cycling at regular intervals which you'd expect.

Leads me to think there may be a CPU core bug or decryption may not be 100% correct?

I've only responded to the demonstration issue, not the soft reset issues as it doesn't crash MAME to prompt. Similar bugs had changed clear behavior which these games may also need: 08237 08068

Video of machine in play
User avatar
No.20339
Robbbert
Developer
12 days ago
The F3 problem has been fixed with
https://github.com/mamedev/mame/commit/ab8d8a1421d8c26fb9604b1bb58ee74fafb8be32

I want to see a video of the attract mode where it is working. All the ones I could find seem to be MAME.